package com.pixelized.server.lwa.server.rest.map

import com.pixelized.server.lwa.server.Engine
import com.pixelized.server.lwa.utils.extentions.exception
import com.pixelized.shared.lwa.protocol.rest.APIResponse
import com.pixelized.shared.lwa.protocol.websocket.ApiSynchronisation
import io.ktor.server.response.respond
import io.ktor.server.routing.RoutingContext

fun Engine.getMaps(): suspend RoutingContext.() -> Unit {
    return {
        try {
            call.respond(
                message = APIResponse.success(
                    data = mapService.maps(),
                ),
            )
        } catch (exception: Exception) {
            call.exception(
                exception = exception
            )
        }
    }
}